Bug 869785 - F18b TC6 on KVM GUEST "invalid opcode: 0000 [#1] SMP" [NEEDINFO]
F18b TC6 on KVM GUEST "invalid opcode: 0000 [#1] SMP"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 15:48 EDT by Reartes Guillermo
Modified: 2013-11-27 11:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:04:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo? (rtguille)


Attachments (Terms of Use)
syslog of F18b TC6, it reaches anaconda ok. (75.17 KB, text/plain)
2012-10-24 15:48 EDT, Reartes Guillermo
no flags Details
screenshot (51.22 KB, image/png)
2012-10-24 15:49 EDT, Reartes Guillermo
no flags Details
kvm guest xml file (5.06 KB, text/xml)
2012-10-24 15:51 EDT, Reartes Guillermo
no flags Details
cpuinfo HOST (AMD FX6100) (6.34 KB, text/plain)
2012-11-28 15:42 EST, Reartes Guillermo
no flags Details
cpuinfo GUEST (715 bytes, text/plain)
2012-11-28 15:43 EST, Reartes Guillermo
no flags Details
cpuinfo GUEST (but FORCED opteronG3) (669 bytes, text/plain)
2012-11-28 16:08 EST, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-24 15:48:31 EDT
Created attachment 633005 [details]
syslog of F18b TC6, it reaches anaconda ok.

Description of problem:

There is a pause, then anaconda is able to start despite of this error.

Version-Release number of selected component (if applicable):
F18b TC6

How reproducible:
always (same guest)

Steps to Reproduce:
1. boot guest
  
Expected results:
no error

Actual results:
call trace
Comment 1 Reartes Guillermo 2012-10-24 15:49:10 EDT
Created attachment 633006 [details]
screenshot
Comment 2 Reartes Guillermo 2012-10-24 15:51:12 EDT
Created attachment 633011 [details]
kvm guest xml file
Comment 3 Josh Boyer 2012-11-12 15:52:02 EST
Avi, any ideas on this one?
Comment 4 Avi Kivity 2012-11-28 07:57:40 EST
Looks like the guest is trying to use AVX2 instructions, while these are not available.  Can you post guest and host /proc/cpuid?

Most likely the host exposes AVX2 even though it is not actually available.
Comment 5 Reartes Guillermo 2012-11-28 15:42:46 EST
Created attachment 653749 [details]
cpuinfo HOST (AMD FX6100)
Comment 6 Reartes Guillermo 2012-11-28 15:43:58 EST
Created attachment 653750 [details]
cpuinfo GUEST
Comment 7 Reartes Guillermo 2012-11-28 16:08:04 EST
Created attachment 653754 [details]
cpuinfo GUEST (but FORCED opteronG3)

I forced the cpu to OpteronG3 and the issue is gone on F18b. Solaris will issue some cpu errors but it will still boot.

It seems that copy_host_cpu and opteronG4 does not work ok.
In this guest i had to change the cpu settings from default due to it being to slooow for solaris.
Comment 8 Justin M. Forbes 2013-10-18 17:14:14 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 9 Justin M. Forbes 2013-11-27 11:04:32 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.